PaidGoods
API referenceAffiliates

Affiliate payout requests

GET
/v1/stores/{storeId}/affiliates/payouts

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

status?string

Value in

  • "pending"
  • "paid"
  • "rejected"
  • "cancelled"
page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 100
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/affiliates/payouts"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": -9007199254740991,      "affiliateId": "db499c7c-f1f8-4bce-9ff0-10cc890eeda0",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "email": "string",      "code": "string",      "amountMinor": -9007199254740991,      "currency": "string",      "status": "pending",      "payoutDetails": "string",      "sellerNote": "string",      "externalReference": "string",      "createdAt": "string",      "processedAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  },  "counts": {    "property1": -9007199254740991,    "property2": -9007199254740991  }}